searchNodes=[{"doc":"Holidefs is a holiday OTP application for multiple locales that loads the dates from definition files on the startup.","ref":"Holidefs.html","title":"Holidefs","type":"module"},{"doc":"Returns all the holidays for the given locale between start and finish dates. If succeed returns a {:ok, holidays} tuple, otherwise returns a {:error, reason} tuple","ref":"Holidefs.html#between/4","title":"Holidefs.between/4","type":"function"},{"doc":"Returns the language to translate the holiday names to.","ref":"Holidefs.html#get_language/0","title":"Holidefs.get_language/0","type":"function"},{"doc":"Returns the list of regions from the given locale. If succeed returns a {:ok, regions} tuple, otherwise returns a {:error, reason} tuple.","ref":"Holidefs.html#get_regions/1","title":"Holidefs.get_regions/1","type":"function"},{"doc":"Returns a map of all the supported locales. The key is the code and the value the name of the locale.","ref":"Holidefs.html#locales/0","title":"Holidefs.locales/0","type":"function"},{"doc":"Returns all the holidays for the given locale on the given date. If succeed returns a {:ok, holidays} tuple, otherwise returns a {:error, reason} tuple.","ref":"Holidefs.html#on/3","title":"Holidefs.on/3","type":"function"},{"doc":"Sets the language to translate the holiday names to. To use the native language names, you can set the language to :orig","ref":"Holidefs.html#set_language/1","title":"Holidefs.set_language/1","type":"function"},{"doc":"Returns all the holidays for the given year. If succeed returns a {:ok, holidays} tuple, otherwise returns a {:error, reason} tuple","ref":"Holidefs.html#year/3","title":"Holidefs.year/3","type":"function"},{"doc":"","ref":"Holidefs.html#t:error_reasons/0","title":"Holidefs.error_reasons/0","type":"type"},{"doc":"","ref":"Holidefs.html#t:locale_code/0","title":"Holidefs.locale_code/0","type":"type"},{"doc":"Some functions to calculate dynamic holiday dates","ref":"Holidefs.DateCalculator.html","title":"Holidefs.DateCalculator","type":"module"},{"doc":"Returns the first day of the given month on the given year","ref":"Holidefs.DateCalculator.html#beginning_of_month/2","title":"Holidefs.DateCalculator.beginning_of_month/2","type":"function"},{"doc":"Returns the date of Easter for the given year Examples iex&gt; Holidefs.DateCalculator . gregorian_easter ( 2016 ) ~D[2016-03-27] iex&gt; Holidefs.DateCalculator . gregorian_easter ( 2015 ) ~D[2015-04-05]","ref":"Holidefs.DateCalculator.html#gregorian_easter/1","title":"Holidefs.DateCalculator.gregorian_easter/1","type":"function"},{"doc":"Returns the date of Orthodox Easter for the given year Examples iex&gt; Holidefs.DateCalculator . gregorian_orthodox_easter ( 2016 ) ~D[2016-05-01] iex&gt; Holidefs.DateCalculator . gregorian_orthodox_easter ( 2015 ) ~D[2015-04-12]","ref":"Holidefs.DateCalculator.html#gregorian_orthodox_easter/1","title":"Holidefs.DateCalculator.gregorian_orthodox_easter/1","type":"function"},{"doc":"Returns the date of Orthodox Easter for the given year Examples iex&gt; Holidefs.DateCalculator . julian_orthodox_easter ( 2016 ) ~D[2016-04-18] iex&gt; Holidefs.DateCalculator . julian_orthodox_easter ( 2015 ) ~D[2015-03-30]","ref":"Holidefs.DateCalculator.html#julian_orthodox_easter/1","title":"Holidefs.DateCalculator.julian_orthodox_easter/1","type":"function"},{"doc":"Returns the next day of week after the given day","ref":"Holidefs.DateCalculator.html#next_day_of_week/2","title":"Holidefs.DateCalculator.next_day_of_week/2","type":"function"},{"doc":"Returns the nth day of the week","ref":"Holidefs.DateCalculator.html#nth_day_of_week/4","title":"Holidefs.DateCalculator.nth_day_of_week/4","type":"function"},{"doc":"Returns the previous day of week after the given day","ref":"Holidefs.DateCalculator.html#previous_day_of_week/2","title":"Holidefs.DateCalculator.previous_day_of_week/2","type":"function"},{"doc":"A definition is a set of rules for the holiday events in the year.","ref":"Holidefs.Definition.html","title":"Holidefs.Definition","type":"module"},{"doc":"Returns the path for the given locale definition file","ref":"Holidefs.Definition.html#file_path/2","title":"Holidefs.Definition.file_path/2","type":"function"},{"doc":"Returns the list of regions from the definition.","ref":"Holidefs.Definition.html#get_regions/1","title":"Holidefs.Definition.get_regions/1","type":"function"},{"doc":"Loads the definition for a locale code and name. If any definition rule is invalid, a RuntimeError will be raised","ref":"Holidefs.Definition.html#load!/2","title":"Holidefs.Definition.load!/2","type":"function"},{"doc":"Returns the path where all the locale definitions are saved","ref":"Holidefs.Definition.html#path/0","title":"Holidefs.Definition.path/0","type":"function"},{"doc":"","ref":"Holidefs.Definition.html#t:t/0","title":"Holidefs.Definition.t/0","type":"type"},{"doc":"A definition rule has the information about the event and when it happens on a year.","ref":"Holidefs.Definition.Rule.html","title":"Holidefs.Definition.Rule","type":"module"},{"doc":"Builds a new rule from its month and definition map","ref":"Holidefs.Definition.Rule.html#build/3","title":"Holidefs.Definition.Rule.build/3","type":"function"},{"doc":"","ref":"Holidefs.Definition.Rule.html#t:t/0","title":"Holidefs.Definition.Rule.t/0","type":"type"},{"doc":"This module loads and stores all the holiday definitions.","ref":"Holidefs.Definition.Store.html","title":"Holidefs.Definition.Store","type":"module"},{"doc":"Returns all the loaded definitions with their rules","ref":"Holidefs.Definition.Store.html#all_definitions/0","title":"Holidefs.Definition.Store.all_definitions/0","type":"function"},{"doc":"Returns the definitions for the given locale","ref":"Holidefs.Definition.Store.html#get_definition/1","title":"Holidefs.Definition.Store.get_definition/1","type":"function"},{"doc":"A holiday itself.","ref":"Holidefs.Holiday.html","title":"Holidefs.Holiday","type":"module"},{"doc":"Returns a list of holidays for the definition rule on the given year","ref":"Holidefs.Holiday.html#from_rule/4","title":"Holidefs.Holiday.from_rule/4","type":"function"},{"doc":"Returns the translated name of the given holiday","ref":"Holidefs.Holiday.html#translate_name/2","title":"Holidefs.Holiday.translate_name/2","type":"function"},{"doc":"","ref":"Holidefs.Holiday.html#t:t/0","title":"Holidefs.Holiday.t/0","type":"type"},{"doc":"Here is the list of options you can send to Holidefs functions: regions - a list of strings to define what region will be loaded. When empty it fallbacks to the basic region of the locale, which is the region with the same code of the locale. Defaults to [] include_informal? - flag to include the informal holidays on the return list. Defaults to false observed? - flag to consider the observed_date of the holidays as the date . Defaults to false","ref":"Holidefs.Options.html","title":"Holidefs.Options","type":"module"},{"doc":"Builds a new Options struct with normalized fields. The definition is used to get the all the regions and code.","ref":"Holidefs.Options.html#build/2","title":"Holidefs.Options.build/2","type":"function"},{"doc":"","ref":"Holidefs.Options.html#t:attrs/0","title":"Holidefs.Options.attrs/0","type":"type"},{"doc":"","ref":"Holidefs.Options.html#t:t/0","title":"Holidefs.Options.t/0","type":"type"},{"doc":"Downloads the definition files from https://github.com/holidays/definitions. Example mix holidefs.download Command line options -l , --locale - the locale code (or list of locale codes separated by comma). All locales by default -c , --clean - removes all locale files that are not needed anymore before processing the list","ref":"Mix.Tasks.Holidefs.Download.html","title":"Mix.Tasks.Holidefs.Download","type":"task"},{"doc":"Extracts a new .pot from all the definition files we load on system startup. These template files can be used to generate new locale files or add new translations to the existing ones. Execute the command mix help gettext.merge to check how. Example mix holidefs.gettext.extract","ref":"Mix.Tasks.Holidefs.Gettext.Extract.html","title":"Mix.Tasks.Holidefs.Gettext.Extract","type":"task"},{"doc":"","ref":"changelog.html","title":"Changelog","type":"extras"},{"doc":"Changed Add UK bank holiday Changed","ref":"changelog.html#v0-3-6-2023-04-24","title":"Changelog - v0.3.6 - 2023-04-24","type":"extras"},{"doc":"Changed Locales: Lithuania","ref":"changelog.html#v0-3-5-2022-12-07","title":"Changelog - v0.3.5 - 2022-12-07","type":"extras"},{"doc":"Changed Fix issue BE-122 : Update croatian holidays Implement BE-133 : Generate uid for each Holiday","ref":"changelog.html#v0-3-4-2022-02-25","title":"Changelog - v0.3.4 - 2022-02-25","type":"extras"},{"doc":"Changed Fix issue #27 : Incorrect observed date if Christmas falls on saturday","ref":"changelog.html#v0-3-3-2021-12-08","title":"Changelog - v0.3.3 - 2021-12-08","type":"extras"},{"doc":"Added Locales: Colombia Changed Bumped versions. Refactor to make yaml_elixir &gt; 2 work.","ref":"changelog.html#v0-3-2-2021-04-06","title":"Changelog - v0.3.2 - 2021-04-06","type":"extras"},{"doc":"Added Locales: Belgium, Mexico and New Zealand","ref":"changelog.html#v0-3-1-2018-05-02","title":"Changelog - v0.3.1 - 2018-05-02","type":"extras"},{"doc":"Added Support for multiple regions on the same locale","ref":"changelog.html#v0-3-0-2018-02-28","title":"Changelog - v0.3.0 - 2018-02-28","type":"extras"},{"doc":"Added Now Holidefs functions accepts string locale codes too","ref":"changelog.html#v0-2-1-2018-02-23","title":"Changelog - v0.2.1 - 2018-02-23","type":"extras"},{"doc":"Changed :rs_la for serbian (latin) locale renamed to :rs (no backward compatibility maintained) All definitions files download are now locked to https://github.com/holidays/definitions/tree/v2.3.0 tag","ref":"changelog.html#v0-2-0-2018-02-23","title":"Changelog - v0.2.0 - 2018-02-23","type":"extras"},{"doc":"Fixed Fixed runtime holidays definitions path","ref":"changelog.html#v0-1-2-2018-02-13","title":"Changelog - v0.1.2 - 2018-02-13","type":"extras"},{"doc":"Added Dialyzer and better specs","ref":"changelog.html#v0-1-1-2018-02-13","title":"Changelog - v0.1.1 - 2018-02-13","type":"extras"},{"doc":"Added CI configuration This changelog file README usage section Loading and handling of holiday definition files from http://github.com/holidays/definitions Informal and observed options","ref":"changelog.html#v0-1-0-2018-02-08","title":"Changelog - v0.1.0 - 2018-02-08","type":"extras"},{"doc":"","ref":"code_of_conduct.html","title":"Code of Conduct","type":"extras"},{"doc":"In the interest of fostering an open and welcoming environment, we as contributors and maintainers pledge to making participation in our project and our community a harassment-free experience for everyone, regardless of age, body size, disability, ethnicity, gender identity and expression, level of experience, nationality, personal appearance, race, religion, or sexual identity and orientation.","ref":"code_of_conduct.html#our-pledge","title":"Code of Conduct - Our Pledge","type":"extras"},{"doc":"Examples of behavior that contributes to creating a positive environment include: Using welcoming and inclusive language Being respectful of differing viewpoints and experiences Gracefully accepting constructive criticism Focusing on what is best for the community Showing empathy towards other community members Examples of unacceptable behavior by participants include: The use of sexualized language or imagery and unwelcome sexual attention or advances Trolling, insulting/derogatory comments, and personal or political attacks Public or private harassment Publishing others' private information, such as a physical or electronic address, without explicit permission Other conduct which could reasonably be considered inappropriate in a professional setting","ref":"code_of_conduct.html#our-standards","title":"Code of Conduct - Our Standards","type":"extras"},{"doc":"Project maintainers are responsible for clarifying the standards of acceptable behavior and are expected to take appropriate and fair corrective action in response to any instances of unacceptable behavior. Project maintainers have the right and responsibility to remove, edit, or reject comments, commits, code, wiki edits, issues, and other contributions that are not aligned to this Code of Conduct, or to ban temporarily or permanently any contributor for other behaviors that they deem inappropriate, threatening, offensive, or harmful.","ref":"code_of_conduct.html#our-responsibilities","title":"Code of Conduct - Our Responsibilities","type":"extras"},{"doc":"This Code of Conduct applies both within project spaces and in public spaces when an individual is representing the project or its community. Examples of representing a project or community include using an official project e-mail address, posting via an official social media account, or acting as an appointed representative at an online or offline event. Representation of a project may be further defined and clarified by project maintainers.","ref":"code_of_conduct.html#scope","title":"Code of Conduct - Scope","type":"extras"},{"doc":"Instances of abusive, harassing, or otherwise unacceptable behavior may be reported by contacting the project team at support@teamweek.com. The project team will review and investigate all complaints, and will respond in a way that it deems appropriate to the circumstances. The project team is obligated to maintain confidentiality with regard to the reporter of an incident. Further details of specific enforcement policies may be posted separately. Project maintainers who do not follow or enforce the Code of Conduct in good faith may face temporary or permanent repercussions as determined by other members of the project's leadership.","ref":"code_of_conduct.html#enforcement","title":"Code of Conduct - Enforcement","type":"extras"},{"doc":"This Code of Conduct is adapted from the Contributor Covenant , version 1.4, available at http://contributor-covenant.org/version/1/4","ref":"code_of_conduct.html#attribution","title":"Code of Conduct - Attribution","type":"extras"},{"doc":"Here is a step by step for contributing to the project: Fork the project Create a branch for your feature/fix Make it happen Create tests for it Make sure to run mix format Also, give mix credo a check, we enforce no warning on CI build Don't forget to add the changes you made to CHANGELOG.md Open a PR Wait for review!","ref":"contributing.html","title":"Contributing","type":"extras"},{"doc":"Here is the step by step to release the project (team members only): Change the version key on mix.exs to the version you'll release Commit it to master Make sure CI passes and docs are good Prepare the version branch: If you're releasing a major or minor, open a branch for it, with a naming like 1.0 If you're releasing a patch with all the things on master, checkout the minor branch and git rebase master on it If you're releasing a patch, but can't get everything of master, git cherry-pick &lt;sha&gt; of every commit you need and push it Create a draft for your release on Github From branch: 1.0 Tag: v1.0.0 Release name: 1.0.0 Description: exactly the same as changelog Run mix hex.publish Submit your release draft Update README.md version","ref":"contributing.html#releasing","title":"Contributing - Releasing","type":"extras"},{"doc":"MIT License Copyright (c) 2018 Teamweek Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the &quot;Software&quot;), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions: The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software. THE SOFTWARE IS PROVIDED &quot;AS IS&quot;, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.","ref":"license.html","title":"License","type":"extras"},{"doc":"Definition-based national holidays in Elixir.","ref":"readme.html","title":"Overview","type":"extras"},{"doc":"The package can be installed by adding :holidefs to your list of dependencies in mix.exs : def deps do [ { :holidefs , &quot;~&gt; 0.3&quot; } ] end","ref":"readme.html#installation","title":"Overview - Installation","type":"extras"},{"doc":"To get holidays from you country you can use the functions on Holidefs module, like this: Holidefs . between ( :br , ~D[2018-03-01] , ~D[2018-04-01] ) # =&gt; {:ok, [%Holidefs.Holiday{name: &quot;Good Friday&quot;, ...}, ...]} See Holidefs doc to the complete list of functions. Also, for all these functions you can give a list of options like this: Holidefs . between ( :br , ~D[2018-02-01] , ~D[2018-04-03] , include_informal? : true ) # =&gt; {:ok, [%Holidefs.Holiday{name: &quot;Good Friday&quot;, ...}, ...]} For the complete list of options and their meaning check Holidefs.Options doc","ref":"readme.html#usage","title":"Overview - Usage","type":"extras"},{"doc":"Copyright (c) 2022 Toggl This software is released under the MIT License .","ref":"readme.html#copyright-and-license","title":"Overview - Copyright and License","type":"extras"}]